@keyframes spinner {
    0% {
      transform: rotate(0deg);
    }
    100% {
      transform: rotate(360deg);
    }
  }

  .loading-spinner {
    width: 1.3rem;
    height: 1.3rem;
    border: 0.3rem solid #3b82f6; /* Light grey */
    border-top: 0.3rem solid #383636; /* Black */
    border-radius: 50%;
    animation: spinner 1.5s linear infinite;
  }